org.gradle.tooling.events.task

## Interface TaskProgressEvent

- All Superinterfaces:
    ProgressEvent
  All Known Subinterfaces:
    TaskFinishEvent, TaskStartEvent

      @Incubating
      public interface TaskProgressEvent
      extends ProgressEvent

  Root interface for all events that signal progress while executing a task.
  Since:
    2.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskOperationDescriptor` | `getDescriptor()` Returns the description of the task for which progress is reported.

    - ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

      `getDisplayName, getEventTime`

- - ### Method Detail

    - #### getDescriptor

          TaskOperationDescriptor getDescriptor()

      Returns the description of the task for which progress is reported.
      Specified by:
        `getDescriptor` in interface `ProgressEvent`
      Returns:
        The description of the underlying task operation.